-- #802
CREATE TABLE lastupdate (
     objectid             integer  not null
,    profileid            integer  not null
,    siteid               integer  not null
,    lastupdatedon        datetime  not null

,   constraint pk_lastupdate                    primary key (objectid,profileid)
,   constraint fk_lastupdate_objectid           foreign key (objectid)
        references object                           (objectid)
,   constraint fk_lastupdate_siteid             foreign key (siteid)
        references site                             (siteid)
,   constraint fk_lastupdate_profileid          foreign key (profileid)
        references lastupdateprofile                (profileid)
)
GO
CREATE INDEX i_lastupdate ON lastupdate (siteid, profileid, lastupdatedon)
GO

CREATE INDEX i_lastupdate_profile ON lastupdate (profileid)
GO

