-- #803
CREATE TABLE objectdelete (
     guid                 varchar(36)  not null
,    siteid               integer  not null
,    classid              integer  not null
,    pathfromsite         varchar(1000)  not null
,    deletedon            datetime  not null

,   constraint pk_objectdelete                  primary key (guid)
,   constraint fk_objectdelete_classid          foreign key (classid)
        references class                            (classid)
,   constraint fk_objectdelete_siteid           foreign key (siteid)
        references site                             (siteid)
)
GO
CREATE INDEX i_objectdelete ON objectdelete (siteid, classid, deletedon)
GO

CREATE INDEX i_objectdelete_class ON objectdelete (classid)
GO

